#include <iostream>
#include <algorithm>
using namespace std;
int main() {
    int n,A[n],B[n],c,x,a,m;
    m=0;
    cin>>n;
    for (int i=0;i<n;i++) {
        cin>>A[i]; }
    for (int i=0;i<n;i++) {
        cin>>B[i]; }
    for (int l=0;l<n;l++) {
        x=0;
        a=~0;  
        for (int r=l;r<n;r++) {
            x^=A[r]; 
            a&=B[r]; 
            c=x*a;
            m=max(m,c); }}
    cout<<m;
    return 0;
}